﻿@page
@model RegisterModel
@{
    ViewData["Title"] = "Register";
}


<div class="row">
    <div class="col-8 offset-2">
        <div class="row">
        <div class="col-md-8">
            <h1>@ViewData["Title"]</h1>

            <form id="registerForm" class="row" asp-route-returnUrl="@Model.ReturnUrl" method="post">
                <h2>Create a new account.</h2>
                <hr />
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div class="form-floating mb-3">
                    <input asp-for="Input.Email" class="form-control" aria-required="true" />
                    <label asp-for="Input.Email"></label>
                    <span asp-validation-for="Input.Email" class="text-danger"></span>
                </div>
                <div class="form-floating mb-3 col-6">
                    <input asp-for="Input.Name" class="form-control" aria-required="true" />
                    <label asp-for="Input.Name"></label>
                    <span asp-validation-for="Input.Name" class="text-danger"></span>
                </div>
                <div class="form-floating mb-3 col-6">
                    <input asp-for="Input.PhoneNumber" class="form-control" aria-required="true" />
                    <label asp-for="Input.PhoneNumber"></label>
                    <span asp-validation-for="Input.PhoneNumber" class="text-danger"></span>
                </div>
                <div class="form-floating mb-3 col-6">
                    <input asp-for="Input.StreetAddress" class="form-control" aria-required="true" />
                    <label asp-for="Input.StreetAddress"></label>
                    <span asp-validation-for="Input.StreetAddress" class="text-danger"></span>
                </div>
                <div class="form-floating mb-3 col-6">
                    <input asp-for="Input.State" class="form-control" aria-required="true" />
                    <label asp-for="Input.State"></label>
                    <span asp-validation-for="Input.State" class="text-danger"></span>
                </div>
                <div class="form-floating mb-3 col-6">
                    <input asp-for="Input.City" class="form-control" aria-required="true" />
                    <label asp-for="Input.City"></label>
                    <span asp-validation-for="Input.City" class="text-danger"></span>
                </div>
                <div class="form-floating mb-3 col-6">
                    <input asp-for="Input.PostalCode" class="form-control" aria-required="true" />
                    <label asp-for="Input.PostalCode"></label>
                    <span asp-validation-for="Input.PostalCode" class="text-danger"></span>
                </div>

                <div class="form-floating mb-3 col-6">
                    <input asp-for="Input.Password" class="form-control" autocomplete="new-password" aria-required="true" />
                    <label asp-for="Input.Password"></label>
                    <span asp-validation-for="Input.Password" class="text-danger"></span>
                </div>
                <div class="form-floating mb-3 col-6">
                    <input asp-for="Input.ConfirmPassword" class="form-control" autocomplete="new-password" aria-required="true" />
                    <label asp-for="Input.ConfirmPassword"></label>
                    <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
                </div>
                <div class="form-floating mb-3 col-6">
                    <select asp-for="Input.Role" class="form-select" asp-items="@Model.Input.RoleList">
                        <option selected disabled>--Select Role--</option>
                    </select>
                </div>
                <div class="form-floating mb-3 col-6">
                    <select asp-for="Input.CompanyId" style="display:none" class="form-select" asp-items="@Model.Input.CompanyList">
                        <option selected disabled>--Select Company--</option>
                    </select>
                </div>
                <button id="registerSubmit" type="submit" class="w-75 btn  btn-primary mt-4">Register</button>
            </form>
        </div>
        <div class="col-md-4">
            <section>
                <h3>Use another service to register.</h3>
                <hr />
                @{
                    if ((Model.ExternalLogins?.Count ?? 0) == 0)
                    {
                        <div>
                            <p>
                                There are no external authentication services configured. See this <a href="https://go.microsoft.com/fwlink/?LinkID=532715">
                                    article
                                    about setting up this ASP.NET application to support logging in via external services
                                </a>.
                            </p>
                        </div>
                    }
                    else
                    {
                        <form id="external-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal">
                            <div>
                                <p>
                                    @foreach (var provider in Model.ExternalLogins)
                                    {
                                        <button type="submit" class="btn btn-primary" name="provider" value="@provider.Name" title="Log in using your @provider.DisplayName account">@provider.DisplayName</button>
                                    }
                                </p>
                            </div>
                        </form>
                    }
                }
            </section>  
        </div>
        </div>
    </div>
</div>

@section Scripts {
<partial name="_ValidationScriptsPartial" />
<script>
    $(document).ready(function(){
        $('#Input_Role').change(function(){
            var selectedValue = $('#Input_Role Option:Selected').text();
            if(selectedValue != 'Company')
            {
                $('#Input_CompanyId').hide();
            }else
            {

                $('#Input_CompanyId').show();
            }
         })
    })
</script>
}
